# enid

## Command Line Interface Reference

`enid` is a command line interface for interacting with the ENI blockchain. It is a powerful tool that allows you to interact with the ENI blockchain from the command line. This documentation provides a reference for the `enid` command line interface.

### Common Commands

#### `enid`

```ansi
Launch the eni application

Usage:
  enid [command]

Available commands:
  add-genesis-account      Add a genesis account to genesis.json
  add-wasm-genesis-message Wasm genesis subcommand
  blocktest                Run EF block tests
  collect-gentxs           Collect genesis transactions and output genesis.json file
  compact                  Fully compact the application database (only for levelDB)
  config                   Create or query application CLI configuration file
  debug                    Tools for helping to debug the application
  ethreplay                Replay EVM transactions
  export                   Export state to JSON
  gentx                    Generate genesis transactions with self-delegation
  help                     Help about any command
  init                     Initialize private validator, p2p, genesis, and application configuration files
  keys                     Manage application keys
  latest_version           Print the latest version of the application database
  migrate                  Migrate genesis to the specified target version
  prune                    Prune application history state by keeping recent heights and deleting old heights
  query                    Query subcommands
  rollback                 Roll back cosmos-sdk and tendermint state by one height
  start                    Run a full node
  status                   Query the status of a remote node
  tendermint               Tendermint subcommands
  tools                    A set of useful tools for the eni chain
  tx                       Transaction subcommands
  validate-genesis         Validate the genesis file in the default location or the path provided
  version                  Print the application binary version information

Flags:
  -h, --help                Help information for enid
      --home string         Directory for configuration and data (default "~/.eni")
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error

Use "enid [command] --help" to obtain more information about a command.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/enid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
